# SequenceModifier(bpy_struct)

base class — `bpy_struct`

subclasses — `BrightContrastModifier`, `ColorBalanceModifier`, `CurvesModifier`, `HueCorrectModifier`

class `bpy.types.``SequenceModifier`(bpy_struct)

  Modifier for sequence strip

  `input_mask_id`

    Mask ID used as mask input for the modifier

    Type: | `Mask`

  `input_mask_strip`

    Strip used as mask input for the modifier

    Type: | `Sequence`

  `input_mask_type`

    Type of input data used for mask

    - `STRIP` Strip, Use sequencer strip as mask input.
    - `ID` Mask, Use mask ID as mask input.

    Type: | enum in [‘STRIP’, ‘ID’], default ‘STRIP’

  `mute`

    Mute this modifier

    Type: | boolean, default False

  `name`

    Type: | string, default “”, (never None)

  `show_expanded`

    Mute expanded settings for the modifier

    Type: | boolean, default False

  `type`

    Type: | enum in [‘COLOR_BALANCE’, ‘CURVES’, ‘HUE_CORRECT’, ‘BRIGHT_CONTRAST’, ‘MASK’], default ‘COLOR_BALANCE’, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Sequence.modifiers` `SequenceModifiers.new` | `SequenceModifiers.remove`